SolrParams::set
SolrParams::toString
SolrParams
PHP Manual

# SolrParams::setParam

(PECL solr >= 0.9.2)

SolrParams::setParam — Sets the parameter to the specified value

### Opis

public SolrParams SolrParams::setParam ( string `$name` , string `$value` )

Sets the query parameter to the specified value. This is used for parameters that can only be specified once. Subsequent calls with the same parameter name will override the existing value

### Parametry

`name`

  Name of the parameter

`value`

  Value of the parameter

### Zwracane wartości

Returns a SolrParam object on success and `FALSE` on value.

### Przykłady

Przykład #1 SolrParams::setParam example

`<?php
$param = new SolrParam();
$param->setParam('q', 'solr')->setParam('rows', 2);
?>`

Powyższy przykład wyświetli coś podobnego do:

SolrParams::set
SolrParams::toString
SolrParams
PHP Manual